/*
  iPodControlExample.pde 
  This firmware is simple Control for iPod.
  It is necessary to connect resistor to ipod.
  
  Dock Connector                  Arduino
  21: Acc <------------
                      |
                    500kohm
                      |
  16,11:GND<----------*-------- > Arduino GND
  
  13:Rx <------------------------ Arduino Tx
  
  Created by recotana(http://recotana.com), feb 22, 2009.
  Released into the public domain.
  
  referred to this site.
  http://www.nuxx.net/wiki/iPod_Dock_Connector
  http://www.nuxx.net/wiki/Apple_Accessory_Protocol
*/



#include <ipodcontrol.h>

#define SW_PLAY_PAUSE 15
#define SW_REW 16
#define SW_FF 17

IPodControl ipod;

void setup()
{

  //sw port input setting
  pinMode(SW_PLAY_PAUSE, INPUT);
  pinMode(SW_REW, INPUT);
  pinMode(SW_FF, INPUT);
  
  
  //sw port pull up setting
  digitalWrite(SW_PLAY_PAUSE, HIGH);
  digitalWrite(SW_REW, HIGH);
  digitalWrite(SW_FF, HIGH);
  
  //ipod control instance
  ipod = IPodControl();

 
}

void loop()
{
 
  
  if(digitalRead(SW_PLAY_PAUSE)==0){
    
    //toggle ipod  play/pause
     ipod.sirCommand(SMP_PLAY_PAUSE);
     
      //chutter wait
      delay(200);
      
      //detection of the continuous push
      while(digitalRead(SW_PLAY_PAUSE)==0){}
      
    }

  else if(digitalRead(SW_REW)==0){
   
    ipod.sirCommand(SMP_SKIP_PREV);

    delay(200);
 
    while(digitalRead(SW_REW)==0){}
    
    
  }
  else if(digitalRead(SW_FF)==0){
    
     ipod.sirCommand(SMP_SKIP_NEXT);
     
      delay(200);

      while(digitalRead(SW_FF)==0){}
    
  }
}
